Package org.eclipse.handly.ui.callhierarchy

# Enum Class CallHierarchyKind

java.lang.Object
java.lang.Enum<CallHierarchyKind>
org.eclipse.handly.ui.callhierarchy.CallHierarchyKind

All Implemented Interfaces:
  `Serializable`, `Comparable<CallHierarchyKind>`, `Constable`

public enum CallHierarchyKind extends Enum<CallHierarchyKind>
Enumeration of the call hierarchy kinds.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `CALLEE`
  The callee hierarchy.
  `CALLER`
  The caller hierarchy.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CallHierarchyKind`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static CallHierarchyKind[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CALLER

    public static final CallHierarchyKind CALLER
    The caller hierarchy.

  - ### CALLEE

    public static final CallHierarchyKind CALLEE
    The callee hierarchy.

- ## Method Details

  - ### values

    public static CallHierarchyKind[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static CallHierarchyKind valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null